diff -ur gnome-libs-1.4.1.2.orig/gtk-xmhtml/debug.c gnome-libs-1.4.1.2/gtk-xmhtml/debug.c
--- gnome-libs-1.4.1.2.orig/gtk-xmhtml/debug.c	Wed Feb 24 19:18:35 1999
+++ gnome-libs-1.4.1.2/gtk-xmhtml/debug.c	Thu Oct 18 10:08:47 2001
@@ -104,9 +104,13 @@
 #include <config.h>
 #endif
 
+#if defined(_AIX) || defined(__STDC__)
+#define STDC
+#endif
+
 #ifndef NO_DEBUG
 #include <stdlib.h>
-#ifdef __STDC__
+#ifdef STDC
 #include <stdarg.h>
 #else
 #include <varargs.h>
@@ -170,13 +174,13 @@
 *	nothing.
 *****/
 void
-#ifdef __STDC__
+#ifdef STDC
 __rsd_fprintf(char *fmt, ...) 
 {
     va_list arg_list;
     va_start(arg_list, fmt);
 
-#else /* ! __STDC__ */
+#else /* ! STDC */
 
 __rsd_fprintf(fmt, va_list)
     char * fmt;
@@ -184,7 +188,7 @@
 {
 	va_list arg_list
     va_start(arg_list);
-#endif /* __STDC__ */
+#endif /* STDC */
 
 	/* flush to file */
 	vfprintf(__rsd_debug_file, fmt, arg_list);
diff -ur gnome-libs-1.4.1.2.orig/gtk-xmhtml/gtk-error.c gnome-libs-1.4.1.2/gtk-xmhtml/gtk-error.c
--- gnome-libs-1.4.1.2.orig/gtk-xmhtml/gtk-error.c	Tue Jul 28 04:39:57 1998
+++ gnome-libs-1.4.1.2/gtk-xmhtml/gtk-error.c	Thu Oct 18 10:03:00 2001
@@ -1,8 +1,14 @@
 #ifdef HAVE_CONFIG_H
 #include <config.h>
 #endif
+
+/* AIX's compiler if not run in ANSI mode will not compile this file*/
+#if defined (_AIX) || defined(__STDC__)
+#define STDC
+#endif
+
 #include <stdlib.h>
-#ifdef __STDC__
+#if defined(STDC)
 #include <stdarg.h>
 #else
 #include <varargs.h>
@@ -56,7 +62,7 @@
 *	during compilation.
 *****/
 void
-#ifdef __STDC__
+#ifdef STDC
 #ifdef DEBUG
 __XmHTMLWarning(TWidget w, String module, int line, String routine, 
 	String fmt, ...) 
@@ -67,7 +73,7 @@
     va_list arg_list;
     va_start(arg_list, fmt);
 
-#else /* ! __STDC__ */
+#else /* ! STDC */
 #ifdef DEBUG
 __XmHTMLWarning(TWidget w, String module, int line, String routine,
 	String fmt, va_alist)
@@ -84,7 +90,7 @@
     va_dcl
 {
     va_start(arg_list);
-#endif /* __STDC__ */
+#endif /* STDC */
 
 #ifdef DEBUG
 	if(w && debug_disable_warnings)
@@ -135,7 +141,7 @@
 *	during compilation.
 *****/
 void
-#ifdef __STDC__
+#ifdef STDC
 #ifdef DEBUG
 __XmHTMLError(TWidget w, String module, int line, String routine,
 	String fmt, ...) 
@@ -146,7 +152,7 @@
     va_list arg_list;
     va_start(arg_list, fmt);
 
-#else /* ! __STDC__ */
+#else /* ! STDC */
 #ifdef DEBUG
 __XmHTMLError(TWidget w, String module, int line, String routine, fmt, va_list)
 #else
@@ -162,7 +168,7 @@
     va_dcl
 {
     va_start(arg_list);
-#endif /* __STDC__ */
+#endif /* STDC */
 
 #ifdef DEBUG
 	if(w && debug_disable_warnings)
diff -ur gnome-libs-1.4.1.2.orig/support/gnomesupport.h gnome-libs-1.4.1.2/support/gnomesupport.h
--- gnome-libs-1.4.1.2.orig/support/gnomesupport.h	Tue Aug 21 16:42:37 2001
+++ gnome-libs-1.4.1.2/support/gnomesupport.h	Wed Oct 17 17:19:52 2001
@@ -5,10 +5,20 @@
 #define GNOMESUPPORT_H
 
 #include <stddef.h>		/* for size_t */
+#include <stdarg.h>
+#include <sys/types.h>
+#include <dirent.h>
+#define NAMLEN(dirent) strlen((dirent)->d_name)
 
 #ifdef __cplusplus
 extern "C" {
 #endif /* __cplusplus */
+
+/* Write formatted output to a string dynamically allocated with
+   `malloc'.  Store the address of the string in *PTR.  */
+int vasprintf (char **/*ptr*/, const char */*format*/,
+               va_list /*args*/);
+int asprintf (char **/*ptr*/, const char */*format*/, ...);
 
 #ifdef __cplusplus
 }
diff -ur gnome-libs-1.4.1.2.orig/zvt/zvtterm.c gnome-libs-1.4.1.2/zvt/zvtterm.c
--- gnome-libs-1.4.1.2.orig/zvt/zvtterm.c	Fri Mar  9 01:22:04 2001
+++ gnome-libs-1.4.1.2/zvt/zvtterm.c	Thu Oct 18 10:33:22 2001
@@ -40,7 +40,6 @@
 #include <gtk/gtksignal.h>
 #include <gtk/gtkselection.h>
 
-#include "zvtterm.h"
 
 #include <gdk/gdkx.h>
 #include <gdk_imlib.h>
@@ -48,6 +47,11 @@
 #include <X11/Xutil.h>
 #include <X11/Xatom.h>
 #include <X11/Xos.h>
+
+#if defined(_AIX) && !defined(_XOPEN_SOURCE)
+#define _XOPEN_SOURCE
+#endif
+#include "zvtterm.h"
 
 
 /* define to 'x' to enable copious debug output */
--- gnome-libs-1.4.1.2.orig/libgnome/Makefile.am.orig	Thu Oct 18 13:06:52 2001
+++ gnome-libs-1.4.1.2/libgnome/Makefile.am	Thu Oct 18 13:08:17 2001
@@ -81,7 +81,7 @@
 gnome-config.o: parse-path.cP
 
 libgnome_la_LDFLAGS = -version-info 36:3:4 #-rpath $(libdir)
-libgnome_la_LIBADD = $(GLIB_LIBS) -lm
+libgnome_la_LIBADD = $(LIBGNOME_LIBS) -lm 
 
 bin_PROGRAMS = dns-helper gnome-dump-metadata gnome-moz-remote \
 	gconfigger gnome-gen-mimedb
